package com.goldenwater.slaj.hidd.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.hidd.domain.ObjHidd;

/**
 * 隐患对象 数据层
 */
@Mapper
public interface ObjHiddMapper {

    /**
     * 查询隐患对象信息
     * @param guid 查询条件
     * @return 隐患对象信息
     */
    ObjHidd selectObjHiddByGuid(String guid);

    /**
     * 查询隐患对象列表
     * @param objHidd 隐患对象查询条件
     * @return 隐患对象集合
     */
    List<ObjHidd> selectObjHiddList(ObjHidd objHidd);

    /**
     * 新增隐患对象
     * @param objHidd 隐患对象信息
     * @return 影响行数
     */
    int insertObjHidd(ObjHidd objHidd);

    /**
     * 修改隐患对象
     * @param objHidd 隐患对象信息
     * @return 影响行数
     */
    int updateObjHidd(ObjHidd objHidd);

    /**
     * 删除隐患对象
     * @param guid 隐患对象主键
     * @return 影响行数
     */
    int deleteObjHiddByGuid(String guid);

    /**
     * 批量删除隐患对象
     * @param guids 隐患对象主键数组
     * @return 影响行数
     */
    int deleteObjHiddByGuids(String[] guids);
}
